# Refresh Banking Transactions (/data-api/api-reference/v3/refreshBankingTransactions)

Queues an asynchronous refresh of banking transactions for all accounts connected to the end user.

## POST /v1/banking/transactions/refresh

**Refresh Banking Transactions**

Queues an asynchronous refresh of banking transactions for all accounts connected to the end user.

**Tags:** Transactions, v1, v2, v3, banking

### Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `x-fiskil-client-ip-address` | header | string | No | End user's IP address. Used to forward to data holder for higher success rate. |
| `x-fiskil-client-user-agent` | header | string | No | End user's user-agent string. Used to forward to data holder for higher success rate. |

### Request Body

**Content-Type:** `application/json` (required)

| Field | Type | Description |
|-------|------|-------------|
| `end_user_id` | string | The unique identifier for the end user. |

### Responses

**202:** Accepted

| Field | Type | Description |
|-------|------|-------------|
| `refresh_id` | string | The unique identifier for the refresh job. |
| `status` | string | The status of the refresh job. |

**400:** Bad Request

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**401:** Unauthorized

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**403:** Forbidden

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**404:** Not Found

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**429:** Too Many Requests

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

**503:** Service Unavailable

| Field | Type | Description |
|-------|------|-------------|
| `id` | string |  |
| `message` | string |  |
| `name` | string |  |

### Example Request
```bash
curl -X POST "https://api.fiskil.com/v1/banking/transactions/refresh" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"
```